Subject: Re: [net-next] intel: add SPDX identifiers to all the Intel drivers

From: Joe Perches <[email-masked]>
Date: Tue, 20 Mar 2018 14:01:02 -0700

On Tue, 2018-03-20 at 20:48 +0000, Allan, Bruce W wrote:
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> > On Behalf Of Jeff Kirsher
> > Sent: Tuesday, March 20, 2018 10:52 AM
> > To: Joe Perches <[email-masked]>; [email-masked]; Philippe
> > Ombredanne <[email-masked]>
> > Cc: [email-masked]; [email-masked]; [email-masked];
> > [email-masked]
> > Subject: Re: [net-next] intel: add SPDX identifiers to all the Intel drivers
> > 
> > On Tue, 2018-03-20 at 10:41 -0700, Joe Perches wrote:
> > > On Tue, 2018-03-20 at 10:13 -0700, Jeff Kirsher wrote:
> > > > Add the SPDX identifiers to all the Intel wired LAN driver files,
> > > > as
> > > > outlined in Documentation/process/license-rules.rst.
> > > 
> > > So far the Documentation does not show using the -only variant.
> > > 
> > > For a discussion, please see:
> > > https://lkml.org/lkml/2018/2/8/311
> 
> But the Linux Foundation, the authority maintaining the valid SPDX
> identifiers, indicates at https://spdx.org/licenses/ that "GPL-2.0" is
> deprecated while "GPL-2.0-only" (and others) is appropriate.
> Was there any mention in the thread or other conversations if/when the
> kernel's documentation (and all existing uses of "GPL-2.0" in the
> kernel) will be updated to "GPL-2.0-only"?

Not as far as I know.

I believe the uses of "-only" and "-or-later" are
superior to the current
styles and should be done
sooner than later.

I trust at some point the documentation will be
updated and something like the script I submitted
to do the conversions will be run across the tree.

At that point, checkpatch will be updated to do
appropriate specific license checking.

> > 
> > :-( I had it originally as GPL-2.0 and then it was pointed out that it
> > was being deprecated, so rather than creating future thrash over the
> > change, figured I would be ahead of the game.
> > 
> > > 
> > > > diff --git a/drivers/net/ethernet/intel/e100.c
> > > > b/drivers/net/ethernet/intel/e100.c
> > > 
> > > []
> > > > @@ -1,3 +1,4 @@
> > > > +// SPDX-License-Identifier: GPL-2.0-only
> > > 
> > > etc...